diff autogen.sh @ 1648:a57336c3b1cc

use intltool for desktop file translation - desktop files are translated via .po files together with other strings - make update-po is replaced with intltool-update [lang]
author nadvornik
date Mon, 15 Jun 2009 20:50:35 +0000
parents 267943c58be1
children 886746a02b5e
line wrap: on
line diff
--- a/autogen.sh	Mon Jun 15 19:13:45 2009 +0000
+++ b/autogen.sh	Mon Jun 15 20:50:35 2009 +0000
@@ -35,6 +35,12 @@
   }
 }
 
+(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`intltoolize' installed" 
+  DIE=1
+}
+
 (automake --version) < /dev/null > /dev/null 2>&1 || {
   echo
   echo "**Error**: You must have \`automake' installed."
@@ -99,9 +105,8 @@
 	  test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
 	  echo "Running glib-gettextize..."
 	  echo "no" | glib-gettextize --force --copy
-	  if [ -r po/Makefile.in.in.patch ]; then
-		patch po/Makefile.in.in < po/Makefile.in.in.patch
-	  fi
+	  echo "Running intltoolize"
+	  intltoolize --copy --force --automake
 	  echo "Making $dr/aclocal.m4 writable ..."
 	  test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
         fi